﻿#language: ru

@ignore
@carc
@exportscenarios

Функционал: Экспортные сценарии

Сценарий: Я создаю тип тары с именем "ИмяТипаТары" для номенклатуры "ИмяНоменклатуры"

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Типы тары'
	Тогда я жду открытия окна 'Типы тары' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Тип тары (создание)'
	И в поле 'Наименование' я ввожу текст 'ИмяТипаТары'
	И флаг "Используется для упаковочных листов" равен "Нет"
	И из выпадающего списка "Номенклатура" я выбираю по строке 'ИмяНоменклатуры'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Тип тары (создание) *' в течение 20 секунд
	Тогда открылось окно 'Типы тары'
	И Я закрываю окно 'Типы тары'

Сценарий: Я создаю тару с типом "ИмяТипаТары" и весом "ВесТары" со штрихкодом "ИмяШтрихкода"

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Тары'
	Тогда я жду открытия окна 'Тары' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Тара (создание)'
	И из выпадающего списка "Тип" я выбираю по строке 'ИмяТипаТары'
	И в поле 'Вес' я ввожу текст 'ВесТары'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно '* (Тара)'
	И я запоминаю значение поля с именем "ШтрихКод" как "ИмяШтрихкода" глобально
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна '* (Тара)' в течение 20 секунд
	Тогда открылось окно 'Тары'
	И Я закрываю окно 'Тары'